Package com.xebialabs.xlrelease.events

## Class ReleaseVariablesUpdateOperation

- java.lang.Object
- - com.xebialabs.xlrelease.events.ReleaseVariablesUpdateOperation

- All Implemented Interfaces:
    `VariableUpdateOperation`, `XLReleaseOperation`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class ReleaseVariablesUpdateOperation
      extends java.lang.Object
      implements VariableUpdateOperation, scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseVariablesUpdateOperation​(java.util.List<Variable> original, java.util.List<Variable> updated, boolean logDelete)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `scala.runtime.Null$` | `action()` |
    `static ReleaseVariablesUpdateOperation` | `apply​(java.util.List<Variable> original, java.util.List<Variable> updated, boolean logDelete)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `ReleaseVariablesUpdateOperation` | `copy​(java.util.List<Variable> original, java.util.List<Variable> updated, boolean logDelete)` |
    `java.util.List<Variable>` | `copy$default$1()` |
    `java.util.List<Variable>` | `copy$default$2()` |
    `boolean` | `copy$default$3()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `ReleaseVariablesUpdatedEvent` | `event()` |
    `int` | `hashCode()` |
    `boolean` | `logDelete()` |
    `java.util.List<Variable>` | `original()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple3<java.util.List<Variable>,​java.util.List<Variable>,​java.lang.Object>>` | `unapply​(ReleaseVariablesUpdateOperation x$0)` |
    `java.util.List<Variable>` | `updated()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### ReleaseVariablesUpdateOperation

          public ReleaseVariablesUpdateOperation​(java.util.List<Variable> original,
                                                 java.util.List<Variable> updated,
                                                 boolean logDelete)

  - ### Method Detail

    - #### apply

          public static ReleaseVariablesUpdateOperation apply​(java.util.List<Variable> original,
                                                              java.util.List<Variable> updated,
                                                              boolean logDelete)

    - #### unapply

          public static scala.Option<scala.Tuple3<java.util.List<Variable>,​java.util.List<Variable>,​java.lang.Object>> unapply​(ReleaseVariablesUpdateOperation x$0)

    - #### original

          public java.util.List<Variable> original()

    - #### updated

          public java.util.List<Variable> updated()

    - #### logDelete

          public boolean logDelete()

    - #### action

          public scala.runtime.Null$ action()

      Specified by:
        `action` in interface `XLReleaseOperation`

    - #### event

          public ReleaseVariablesUpdatedEvent event()

      Specified by:
        `event` in interface `XLReleaseOperation`

    - #### copy

          public ReleaseVariablesUpdateOperation copy​(java.util.List<Variable> original,
                                                      java.util.List<Variable> updated,
                                                      boolean logDelete)

    - #### copy$default$1

          public java.util.List<Variable> copy$default$1()

    - #### copy$default$2

          public java.util.List<Variable> copy$default$2()

    - #### copy$default$3

          public boolean copy$default$3()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`